Skip to content

Move a product to another workspace

POST
/v1/admin/products/{id}/move
curl --request POST \
--url https://api.sealcord.com/v1/admin/products/example/move \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "workspace_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'

Move a product, with its licences, to another of your workspaces. Only a user through the MCP server who owns both workspaces (403 forbidden for an API key; 403 insufficient_role otherwise). 404 product_not_found outside the token’s workspace; 404 not_found for a workspace that is not yours; 409 conflict when it is already there; 409 product_has_payment_mappings until its payment mappings are deleted; 402 plan_limit_reached when the other workspace’s plan has no room for another product.

id
required
string
/^[a-z0-9][a-z0-9-]{0,62}$/
Media typeapplication/json
object
workspace_id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
Examplegenerated
{
"workspace_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}

Missing or invalid API key.

Needs scope workspaces:write.